Cannot build plugin host


#1

I tried to build the Plugin Host example and got the following:

Severity Code Description Project File Line Suppression State
Error LNK2019 unresolved external symbol “public: virtual __cdecl Steinberg::FLock::~FLock(void)” (??1FLock@Steinberg@@UEAA@XZ) referenced in function “public: virtual __cdecl Steinberg::UpdateHandler::~UpdateHandler(void)” (??1UpdateHandler@Steinberg@@UEAA@XZ) Plugin Host_App C:\Users\profw\Documents\newJUCE\JUCE\examples\audio plugin host\Builds\VisualStudio2017\include_juce_audio_processors.obj 1
Error LNK2019 unresolved external symbol “public: __cdecl Steinberg::FLock::FLock(char const *)” (??0FLock@Steinberg@@QEAA@PEBD@Z) referenced in function “void __cdecl Steinberg::Singleton::lockRegister(void)” (?lockRegister@Singleton@Steinberg@@YAXXZ) Plugin Host_App C:\Users\profw\Documents\newJUCE\JUCE\examples\audio plugin host\Builds\VisualStudio2017\include_juce_audio_processors.obj 1
Error LNK1120 2 unresolved externals Plugin Host_App C:\Users\profw\Documents\newJUCE\JUCE\examples\audio plugin host\Builds\VisualStudio2017\x64\Debug\App\Plugin Host.exe 1

I’m using Visual Studio 2017 on Windows 10 with version 3.6.7 of the Steinberg SDK. Tried to build with VS 2015 and that failed too.


#2

That’s very odd! Are you using the latest JUCE version? The plug-in host with VST3 support is built automatically for Windows (with VS2017) with our build server every time we commit something, so it’s odd that we haven’t spotted this yet.


#3

Using JUCE v5.1.2 build 18 Sep 2017. I got a different build error message with an older version of Steinberg. When I got the latest Steinberg, that error went away, but the new error popped up. I’m simply navigating to the plugin host folder and double clicking on the jucer file and building.


#4

Sorry, I really don’t know what could be causing that error.


#5

Our latest code definitely includes the flock.cpp file that contains those functions, so if you’re building with it, there’s not really any way it could be a missing symbol. I can only think that maybe you’re not building with the right paths or versions of juce/VSTSDK that you think you are.


#6

I’m getting a similar error when trying to build a project started in Juce 4 (or was it 3?) using the latest Juce 5, VS2013, and VSTSDK 3.6.8:

Error C1083: Cannot open include file: “base/source/flock.cpp”

Presumably because flock.cpp is actually in: “base/thread/source/flock.cpp”?


#7

Please see No flock.cpp in VST SDK?


#8

Cheers!